declare module BA.Ui.Grid {
    class GridTools {
        static readonly TARGET_GRID_NAME: string;
        private static scrollTop;
        private static UpdateItemVisibility;
        static ColumnsResized(s: any, e: any): void;
        private static EnableTokensInColumn;
        private static HightlightLastFixedColumn;
        private static SetBreadCrumbsForGrid;
        private static ResetSelections;
        private static HandleRowSelection;
        private static SelectItemByTypeAndOid;
        private static DeselectItemByTypeAndOid;
        private static IsRowItemSelected;
        private static IsRowItemDeselected;
        private static GetBAProperties;
        private static GetDataSourcesAsArray;
        private static GetDataSourcesAsString;
        private static GetGridGuid;
        /**
         * Display a warning that a record can't be opened becouse of missing form configuration
         */
        private static ShowCantOpenWarning;
        static InitializeGridView(grid: BAClientGridView): void;
        /*********************************************************************************/
        /*********************************************************************************/
        private static GetPropertiesContainer;
        static IsGridViewOrCalendarNoDetailGrid(): boolean;
        static ActiveTabChanged(s: any, e: ASPxClientEventArgs): void;
        static UpdateDetailGridSizes(s: ASPxClientControl, e: ASPxClientEventArgs): void;
        static UpdateDetailGridHeights(s: ASPxClientControl, e: ASPxClientEventArgs): void;
        static UpdateDetailGridHeight(s: any, e: any): void;
        static UpdateRibbon(containedTypes: string, grid: BAClientGridBase, ev: ASPxClientEventArgs): void;
        static IsDrillDownAllowed(grid: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): boolean;
        static DrillDown(grid: BAClientGridView, e: ASPxClientGridViewRowClickEventArgs): void;
        static OpenRecordByIndex(grid: BAClientGridView, index: number, inEditMode?: boolean): void;
        static OpenRecordByConfiguration(grid: BAClientGridView, guid: string, formGuid: string, tempKey?: Classes.Guid, cacheId?: Classes.Guid, inEditMode?: boolean): void;
        private static IndexOfRowItemInArray;
        static GetContextGridView(customData: CustomData): BAClientGridBase;
        static GetDetailGridMenuWidth(gridControlName: string): string;
        /**
         * Set width of DetailGridMenus
         * */
        static DetailGridMenu_SetDetailGridMenuWidth(): void;
        /**
         * Set width of DetailGridMenu
         * */
        static DetailGridMenu_SetSingleDetailGridMenuWidth(menuId: string): void;
        static DetailGridMenu_CloseAllBurgerMenus(): void;
        static GetIgniterParams(gridView: BAClientGridBase, customData: CustomData): CustomData;
    }
}
